/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 */

package com.yami.shop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yami.shop.bean.model.EnterprisePay;

import java.util.List;

/**
 * @author
 * @date 2019-10-15 16:44:50
 */
public interface EnterprisePayService extends IService<EnterprisePay> {

    /**
     * 获取正在申请中的企业支付记录
     */
    List<EnterprisePay> listApplyEnterprisePay();

    /**
     * 发送企业支付
     */
    void sendEnterprisePay(List<EnterprisePay> enterprisePayList);

    /**
     * 支付成功处理
     */
    void paySuccess(EnterprisePay enterprisePay);

    /**
     * 支付失败处理
     */
    void payFailed(EnterprisePay enterprisePay);
}
